Package org.apache.sysds.runtime.instructions.spark.functions

# Class RecomputeNnzFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.RecomputeNnzFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,Long>`

public class RecomputeNnzFunction extends Object implements org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,Long>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RecomputeNnzFunction()`

## Method Summary

Modifier and Type
Method
Description
`Iterator<Long>`
`call(Iterator<MatrixBlock> iter)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecomputeNnzFunction

public RecomputeNnzFunction()

## Method Details

### call

public Iterator<Long> call(Iterator<MatrixBlock> iter) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,Long>`
Throws:
  `Exception`